%define name nil
%define version 000516
%define release 9mdk
%define prefix %{_prefix}

Summary: NiL Isn't Liero
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Games/Arcade
Source: http://download.sourceforge.net/nil/%{name}-%{version}.tar.bz2
Source10: %{name}.16.xpm.bz2
Source11: %{name}.32.xpm.bz2
Source12: %{name}.48.xpm.bz2
Patch0: nil-add-pkgdatadir.patch.bz2
Patch1: nil-000516-i18ned-keys.patch.bz2
Patch2: nil-remove-debug-printings.patch.bz2
URL: http://nil.sourceforge.net/
BuildRequires: libSDL-devel libSDL_mixer-devel XFree86-devel zlib-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The game itself can be described either as Quake in 2D or worms done right
(ie not turn based), the basic game play is kill kill kill, with a wide
selection of interesting weapons.

Porting apparently wasn't much of a priority for the authour, so I set
about reimplementing it on Linux.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p0
# remove nasty no-newline-at-end-of-line, it bothers gcc-2.96
find . -name "*.h" -exec perl -pi -e '$_.="\n" if eof' {} \;

%build
cd nil
automake
%configure
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp nil/nil/nil $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/nil
cp -a gfx $RPM_BUILD_ROOT/%{_datadir}/nil
rm -rf $RPM_BUILD_ROOT/%{_datadir}/nil/gfx/{CVS,*/CVS,*/*/CVS,*/*/*/CVS}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="NiL" \
  longtitle="NiL Isn't Liero"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

rm -rf $RPM_BUILD_ROOT/%{_datadir}/nil/gfx/original/fonts/ttf

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 000516-9mdk
- BuildRequires:	libSDL_mixer-devel
- BuildRequires:	XFree86-devel
- BuildRequires:	zlib-devel

* Tue Jul  3 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-8mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-7mdk
- new SDL

* Fri Jan 12 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-6mdk
- remove ttf fonts

* Tue Jan  2 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-5mdk
- rebuild for latest deps

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-4mdk
- follow new lib policy of SDL

* Mon Nov 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-3mdk
- provide 32x32 and 48x48 icons

* Fri Nov  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-2mdk
- recompile against newest libstdc++

* Mon Oct  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 000516-1mdk
- first Mandrake Package

